Skip to main content
GET
/
broadcasts
/
{id}
Ruby
Helo.configure do |config|
  config.access_token = "YOUR_BEARER_TOKEN"
end

id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Broadcasts.retrieve(id)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "subject": "<string>",
  "completion": "<string>",
  "messages": 123,
  "failed": 123,
  "suppressed": 123,
  "content": {
    "from": {
      "email": "<string>",
      "name": "<string>"
    },
    "replyTo": [
      {
        "email": "<string>",
        "name": "<string>"
      }
    ],
    "template": {
      "subject": "<string>",
      "html": "<string>",
      "text": "<string>"
    },
    "attachments": [
      {
        "fileName": "<string>",
        "size": 123
      }
    ],
    "tags": [
      "<string>"
    ],
    "headers": {},
    "metadata": {}
  },
  "tracking": {
    "opens": true,
    "links": true
  },
  "statistics": {
    "sent": 123,
    "delivered": 123,
    "bounced": 123,
    "opened": 123,
    "clicked": 123,
    "complained": 123,
    "unsubscribed": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

OK

id
string<uuid>
required
createdAt
string<date-time>
required
status
enum<string>
required
Available options:
accepted,
processing,
completed,
cancelled
subject
string
required
completion
string
required
messages
integer<int32>
required
failed
integer<int32>
required
suppressed
integer<int32>
required
content
object
required
tracking
object
required
statistics
object
required